<?php

namespace Argus\Discord;

class Gutenberg {


    static function init ($blockID) {
        $dependencies = ['jquery', 'wp-i18n', 'wp-blocks', 'wp-element', 'wp-components', 'wp-block-editor'];

        wp_register_script('argus-discord-' . $blockID . '-gutenberg-block', ARGUS_DISCORD_PLUGIN_URL . 'widgets/' . $blockID . '/' . $blockID . '-gutenberg.js', $dependencies, ARGUS_PLUGIN_VERSION);
        if ((int)get_option('argusActivateTranslations')) {
            // NOTE: JSON file should have name like: argus-wordpress-plugin-uk-argus-discord-sharing-gutenberg-block.po
            wp_set_script_translations('argus-discord-' . $blockID . '-gutenberg-block', 'argus-wordpress-plugin', ARGUS_DISCORD_PLUGIN_PATH . 'languages/gutenberg');
        }
    }


    static function registerSection () {
        add_action('block_categories_all', function($categories) {
            return array_merge($categories, [
                [
                    'slug'  => 'argus-discord-wordpress-plugin-blocks',
                    'title' => __("Discord", 'argus-wordpress-plugin'),
                ],
            ]);
        }, 10, 1);
    }

}
