<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_action('enqueue_block_editor_assets', function() {
    wp_enqueue_style('argus-frontend-styles', ARGUS_DISCORD_PLUGIN_URL . 'views/styles/frontend.css', [], ARGUS_PLUGIN_VERSION);
});


add_action('init', function() {

    Gutenberg::init('chat');

    register_block_type('argus-wordpress-plugin/argus-discord-chat-gutenberg-block', [
        'editor_script'   => 'argus-discord-chat-gutenberg-block',
        'render_callback' => function($instance) {
            $instance['color']               = $instance['color'] ?? 'argus-discord-widget--theme-light';
            $instance['channel']             = $instance['channel'] ?? 0;
            $instance['title']               = $instance['title'] ?? __("Discord Chat", 'argus-wordpress-plugin');
            $instance['pinnedMessages']      = isset($instance['pinnedMessages']) && $instance['pinnedMessages'] == 'onlyPinned';
            $instance['tenorMessages']       = !isset($instance['tenorMessages']) || $instance['tenorMessages'] == 'video';
            $instance['imageMessages']       = !isset($instance['imageMessages']) || $instance['imageMessages'] == 'image';
            $instance['linkMessages']        = !isset($instance['linkMessages']) || $instance['linkMessages'] == 'link';
            $instance['customEmojiMessages'] = !isset($instance['customEmojiMessages']) || $instance['customEmojiMessages'] == 'image';
            $instance['quantity']            = (isset($instance['quantity']) && ($instance['quantity'] >= 1 && $instance['quantity'] <= 50)) ? $instance['quantity'] : 20;
            $instance['height']              = (isset($instance['height']) && $instance['height'] >= 200) ? $instance['height'] : 200;
            $instance['link']                = $instance['link'] ?? 0;
            $instance['footerText']          = $instance['footerText'] ?? __("Hangout with people who get it", 'argus-wordpress-plugin');
            $instance['className']           = $instance['className'] ?? '';

            $filter   = [
                'customEmoji' => $instance['customEmojiMessages'],
                'images'      => $instance['imageMessages'],
                'links'       => $instance['linkMessages'],
                'tenor'       => $instance['tenorMessages']
            ];
            $messages = Data::getAllMessagesData($instance['channel'], $instance['quantity'], $instance['pinnedMessages']);
            $invite   = $instance['link'] ? Data::getInviteLink($instance['link']) : false;

            wp_enqueue_style('argus-discord-front-end-styles');

            ob_start();
            require ARGUS_DISCORD_PLUGIN_PATH . 'widgets/chat/chat.phtml';
            return ob_get_clean();
        },
    ]);
});
