<?php

namespace Argus\Discord;

use Elementor\Controls_Manager;
use Elementor\Widget_Base;


class ElementorWidgetDefault extends Widget_Base {


    function get_name ():string {
        return 'argus_discord_default_widget';
    }


    function get_title ():string {
        return __("Discord Default Widget", 'argus-wordpress-plugin');
    }


    function get_icon ():string {
        return 'argus-discord-icon-default';
    }


    function get_categories ():array {
        return ['argus-discord-category'];
    }


    protected function register_controls () {

        $this->start_controls_section('section_style', [
            'label' => __("Settings", 'argus-wordpress-plugin'),
            'tab'   => Controls_Manager::TAB_STYLE,
        ]);

        $this->add_control('color', [
            'label'   => __("Colors", 'argus-wordpress-plugin'),
            'type'    => Controls_Manager::SELECT,
            'default' => 'light',
            'options' => [
                'light' => __("Light Style", 'argus-wordpress-plugin'),
                'dark'  => __("Dark Style", 'argus-wordpress-plugin'),
            ],
        ]);

        $this->add_control('height', [
            'label'       => __("Height", 'argus-wordpress-plugin'),
            'type'        => Controls_Manager::NUMBER,
            'placeholder' => '350',
            'min'         => 300,
            'default'     => 350,
        ]);

        $this->end_controls_section();
    }


    protected function render () {
        $settings = $this->get_settings_for_display();
        ?>
        <iframe src="https://discordapp.com/widget?id=<? echo get_option('argusDiscordGuild'); ?>&theme=<?php echo $settings['color']; ?>" height="<?php echo $settings['height']; ?>" width="100%" allowtransparency="true" frameborder="0"></iframe>
        <?php
    }


    protected function content_template () {
        ?>
        <iframe src="https://discordapp.com/widget?id=<? echo get_option('argusDiscordGuild'); ?>&theme={{{ settings.color }}}" height="{{{ settings.height }}}" width="100%" allowtransparency="true" frameborder="0"></iframe>
        <?php
    }


}
