<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_action('enqueue_block_editor_assets', function() {
    wp_enqueue_style('argus-frontend-styles', ARGUS_DISCORD_PLUGIN_URL . 'views/styles/frontend.css', [], ARGUS_PLUGIN_VERSION);
});


add_action('init', function() {

    Gutenberg::init('invite-banner');

    register_block_type('argus-wordpress-plugin/argus-discord-invite-banner-gutenberg-block', [
        'editor_script'   => 'argus-discord-invite-banner-gutenberg-block',
        'render_callback' => function($instance) {
            $instance['link']      = $instance['link'] ?? 0;
            $instance['title']     = $instance['title'] ?? __("Hangout with people who get it", 'argus-wordpress-plugin');
            $instance['showCount'] = !isset($instance['showCount']) || $instance['showCount'] == 'show';
            $instance['className'] = $instance['className'] ?? '';

            $invite = Data::getInviteLink($instance['link']);
            if (!$invite) $invite = 'javascript:void(0)';
            $icon         = Data::getDiscordIconURL();
            $membersCount = $instance['showCount'] ? Data::getData('Guild')->approximate_member_count : false;

            wp_enqueue_style('argus-discord-front-end-styles');

            ob_start();
            require ARGUS_DISCORD_PLUGIN_PATH . 'widgets/invite-banner/invite-banner.phtml';
            return ob_get_clean();
        },
    ]);
});
