<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_shortcode('argus-discord-invite-link', function($attributes, $content) {

    if (!$attributes || !is_array($attributes)) $attributes = [];

    if (empty($attributes['channel'])) return __("Channel is not assigned", 'argus-wordpress-plugin');

    $channelName = Data::getChannelName($attributes['channel']);
    $inviteLink  = Data::getInviteLink($attributes['channel']);

    if (isset($attributes['tag']) && $attributes['tag']) {
        if (!$content) $content = $channelName;
        return '<a class="argus__invite-link" href="' . $inviteLink . '" target="_blank">' . $content . '</a>';

    } else {
        return $inviteLink;
    }

    return __("Channel is not found", 'argus-wordpress-plugin');
});
