<?php

namespace Argus\Discord;

if (!defined('ABSPATH')) exit;


add_action('enqueue_block_editor_assets', function() {
    wp_enqueue_style('argus-frontend-styles', ARGUS_DISCORD_PLUGIN_URL . 'views/styles/frontend.css', [], ARGUS_PLUGIN_VERSION);
});


add_action('init', function() {

    Gutenberg::init('sharing');

    register_block_type('argus-wordpress-plugin/argus-discord-sharing-gutenberg-block', [
        'editor_script'   => 'argus-discord-sharing-gutenberg-block',
        'render_callback' => function($instance) {
            $text                  = $instance['text'] ?? __("Share on Discord", 'argus-wordpress-plugin');
            $instance['className'] = $instance['className'] ?? '';
            $instance['styling']   = $instance['styling'] ?? 'no';
            $instance['className'] .= 'argus__button--' . $instance['styling'] . '-style';

            $link = Data::getShareLink();

            if ($instance['styling'] != 'no') wp_enqueue_style('argus-discord-front-end-styles');

            return '<a class="argus__share ' . $instance['className'] . '" href="' . $link . '">' . $text . '</a>';
        },
    ]);
});
