<?php

namespace Argus;


class Activate extends Uninstall {


    static function activate () {
        global $wpdb;

        $optionTableVariables = [
            ['argusDomainAuthentication', 0],
            ['argusActivateTranslations', 1],
            ['argusPurchaseCode', ''],
            ['argusLastUpdateOnServer', ''],
            ['argusLastUpdateOnVersion', ARGUS_PLUGIN_VERSION],
            ['argusSupportExpireDate', ''],
            ['argusSupportExpireDateLastUpdate', ''],
            ['argusActiveComponents', ''],
        ];

        foreach ($optionTableVariables as $var) add_option($var[0], $var[1]);

        self::removePluginDBTables(self::$pluginDBTables);

        $tableQueries = [
            'CREATE TABLE `' . $wpdb->prefix . "argus_log` (
                `id` BIGINT UNSIGNED NOT NULL AUTO_INCREMENT,
                `component` TINYINT UNSIGNED NOT NULL DEFAULT 0 COMMENT 'You can find list of all IDs in the comments for namespace Argus\Log class',
                `level` TINYINT UNSIGNED NOT NULL DEFAULT 0 COMMENT 'You can find list of all levels in the comments for namespace Argus\Log class',
                `timestamp` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
                `text` TEXT NOT NULL,
                PRIMARY KEY (`id`),
                INDEX `COMPONENT` (`component`),
                INDEX `TIMESTAMP` (`timestamp`)
            ) ENGINE = InnoDB DEFAULT CHARSET = utf8mb4 COLLATE utf8mb4_unicode_ci;",
        ];

        foreach ($tableQueries as $query) $wpdb->query($query);

        Cron::schedule();

    }


    static function pluginInstallationUIControls ($actions) {
        $newActions = [
            'argus components' => '<a href="' . admin_url('plugins.php?page=argus-components-and-settings') . '">' . __('Argus Components', 'wp-crontrol') . '</a>',
        ];
        return array_merge($newActions, $actions);
    }

}
