<?php

namespace Argus;


class ComponentsPanel extends AdminSettingsAbstraction {


    static function init () {
        $dynamicColors = self::buildDynamicAdminColors();

        $translationsFile = ARGUS_PLUGIN_PATH . '/languages/argus-react-' . get_locale() . '.json';

        ?>
        <script>
            var argusStateValues = {};

            <?php if ((int)get_option('argusActivateTranslations') && file_exists($translationsFile)) { ?>
            argusStateValues.translations = <?php echo file_get_contents($translationsFile); ?>;
            <?php } else { ?>
            argusStateValues.translations = false;
            <?php } ?>

            argusStateValues.colors = {
                accent: "<?php echo $dynamicColors[2]['bg']; ?>",
                text  : "<?php echo $dynamicColors[2]['text']; ?>"
            }

            argusStateValues.domainAuthentication = <?php echo (int)get_option('argusDomainAuthentication'); ?>;
            argusStateValues.argusPurchaseCode    = "<?php echo get_option('argusPurchaseCode'); ?>";
            argusStateValues.supportExpireDate    = "<?php echo self::buildSupportDateTemplate(); ?>";
            argusStateValues.supportEmail         = "<?php echo ARGUS_SUPPORT_EMAIL; ?>";
            argusStateValues.surveyLink           = "<?php echo ARGUS_SURVEY_LINK; ?>";
            argusStateValues.currentLocale        = "<?php echo get_locale(); ?>";
            argusStateValues.installedComponents  = {
                discord: <?php echo(in_array('discord', ARGUS_ACTIVE_COMPONENTS) ? 'true' : 'false'); ?>,
                steam  : <?php echo(in_array('steam', ARGUS_ACTIVE_COMPONENTS) ? 'true' : 'false'); ?>,
            };

            argusStateValues.settingsValues = {
                argusActivateTranslations: <?php echo (int)get_option('argusActivateTranslations'); ?>,
            }
        </script>
        <div id="argus-components-panel"></div>
        <?php
    }

}
